pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/53093: freetype2 can't be found

	Note: There was a bad value `' for the field `Class'.
	It was set to the default value of `sw-bug'.

>Number:         53093
>Category:       pkg
>Synopsis:       freetype2 >= 21.0.15 can't be found
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Mar 12 19:25:00 +0000 2018
>Release:        NetBSD 7.1_STABLE
System: NetBSD 7.1_STABLE NetBSD 7.1_STABLE (TIM) #0: Fri Oct 20 05:19:22 UTC 2017 amd64
Architecture: x86_64
Machine: amd64
Attempts to update packages where fontconfig is installed now fail with:

checking for struct dirent.d_type... yes
checking The type of len parameter of gperf hash/lookup function... size_t
checking for FREETYPE... no
configure: error: Package requirements (freetype2 >= 21.0.15) were not met:

Package dependency requirement 'freetype2 >= 21.0.15' could not be satisfied.
Package 'freetype2' has version '17.4.11', required version is '>= 21.0.15'

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables FREETYPE_CFLAGS
and FREETYPE_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
*** Error code 1

make[2]: stopped in /usr/pkgsrc/fonts/fontconfig
*** Error code 1

cvs update and try to run pkg_rolling-replace on a system which has 
any packages which require fontconfig.


Home | Main Index | Thread Index | Old Index